Bug 1096942

Summary: Client is not able to send messages - HornetQException[errorCode=100 message=HQ119016: queue has been removed cannot deliver message, queues should not be removed when grouping
Product: [JBoss] JBoss Enterprise Application Platform 6 Reporter: Chaitanya Pothineni <tpothine>
Component: HornetQAssignee: Clebert Suconic <csuconic>
Status: CLOSED CURRENTRELEASE QA Contact: Miroslav Novak <mnovak>
Severity: urgent Docs Contact: Russell Dickenson <rdickens>
Priority: unspecified    
Version: 6.1.0CC: cdewolf, kkhan, msvehla, myarboro, smumford
Target Milestone: ER6   
Target Release: EAP 6.3.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
In previous releases of JBoss EAP 6, users encountered issues with Clustered Grouping, whereing routing messages could be interrupted and give invalid answers. In this release the communication between the nodes has been improved, as has the reaping process of groups to avoid this and other spurious messages that could happen across clustered grouping.
Story Points: ---
Clone Of:
: 1096948 (view as bug list) Environment:
Last Closed: 2014-06-28 15:28:20 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1100871    
Bug Blocks: 1096948    

Description Chaitanya Pothineni 2014-05-12 18:17:25 UTC
Description of problem:

The publisher is not able to send , getting following exception:
HornetQException[errorCode=100 message=HQ119016: queue jms.queue.skyboxOrderingQueue1d114bc5-b003-11e3-9692-45dbfcba4397 has been removed cannot deliver message, queues should not be removed when grouping is used]
[espressohiloservice H#90-r#85:0 E]    2014-05-08 14:05:11.0200        at org.hornetq.core.protocol.core.impl.ChannelImpl.sendBlocking(ChannelImpl.java:312)
[espressohiloservice H#90-r#85:0 E]    2014-05-08 14:05:11.0200        at org.hornetq.core.client.impl.ClientProducerImpl.doSend(ClientProducerImpl.java:287)
[espressohiloservice H#90-r#85:0 E]    2014-05-08 14:05:11.0200        at org.hornetq.core.client.impl.ClientProducerImpl.send(ClientProducerImpl.java:142)
[espressohiloservice H#90-r#85:0 E]    2014-05-08 14:05:11.0200        at org.hornetq.core.client.impl.ClientProducerImpl.send(ClientProducerImpl.java:147)
[espressohiloservice H#90-r#85:0 E]    2014-05-08 14:05:11.0200        at com.apple.skybox.common.util.HornetClient.send(HornetClient.java:309)


Version-Release number of selected component (if applicable):
EAP 6.1.0
Server hornetQ version - 2.3.1 final  
Applied patches - bz1025862
Client publisher hornetQ version - 2.2.16

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Clebert Suconic 2014-05-12 18:21:53 UTC
Andy Taylor has written a testcase which will be part of this fix.

Comment 2 Clebert Suconic 2014-05-20 16:43:35 UTC
I'm working on it as we speak... I think I will have this fixed by 26th of may after tests.

Comment 3 Clebert Suconic 2014-05-28 20:51:08 UTC
One-of back porting this into 6.1.0:

https://bugzilla.redhat.com/show_bug.cgi?id=1096948

Comment 4 Miroslav Novak 2014-06-20 08:05:57 UTC
Verified in EAP 6.3.0.ER7.

Comment 6 Scott Mumford 2014-07-17 04:12:44 UTC
Making public for inclusion in 6.3.0 Release Notes.